Valorant API Unofficial docs
API Reference Mailbox
GET

Mail

Get a single mail by its ID. The response is the same object as the entries of the Mailbox endpoint, just not wrapped in an array.

Server pp.sgp.pvp.net Auth Bearer
GET https://{cluster}.pp.sgp.pvp.net/mailbox/v1/{puuid}/mail/{mail id}
Try this request in the browser with your own values

Headers

Authorization string required
Value Bearer {auth token}— From the Entitlements Token endpoint or Riot auth

URL parameters

cluster enum required

euc1, usw2, apse1 or apne1: the SGP cluster for the region.

euc1usw2apse1apne1
How to get it

There are 4 SGP clusters:

Cluster ID Region
euc1 Europe
usw2 North America / Brazil / LATAM / PBE
apse1 Asia Pacific / Oceania
apne1 Japan / Korea

puuid string · uuid required

Player UUID

mail id string · uuid required

The ID of the mail, obtained from the Mailbox endpoint

Other variables

auth token From the Entitlements Token endpoint or Riot auth.
Details
Can be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Authentication

Response

mailId string · uuid

Mail ID

puuid string · uuid

The player the mail was sent to

message string

JSON-encoded string with the contents of the mail. The keys depend on the type of mail, for example `{"product":"valorant","category":"COMMS_ABUSE_TEXT","recipientType":"","offenderRiotId":"name#tag"}`

product string

e.g. "valorant"

region string nullable
tags array[string]

e.g. `["ga-reporter-feedback-notification"]`

mailType string

e.g. "ACK_REQUIRED"

state string

e.g. "NEW", "READ", "ACKNOWLEDGED"

createdAt number

Milliseconds since epoch